jackctl_parameter_value Union Reference

Type for parameter value. More...

`#include <control.h>`

## Data Fields

uint32_t | ui
| member used for JackParamUInt More...
int32_t | i
| member used for JackParamInt More...
char | c
| member used for JackParamChar More...
char | str [JACK_PARAM_STRING_MAX+1]
| member used for JackParamString More...
bool | b
| member used for JackParamBool More...

## Detailed Description

Type for parameter value.

## Field Documentation

bool jackctl_parameter_value::b

member used for JackParamBool

char jackctl_parameter_value::c

member used for JackParamChar

int32_t jackctl_parameter_value::i

member used for JackParamInt

char jackctl_parameter_value::str[JACK_PARAM_STRING_MAX+1]

member used for JackParamString

uint32_t jackctl_parameter_value::ui

member used for JackParamUInt

The documentation for this union was generated from the following file:

- control.h